
Infrastructure - Task #6741

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 6734 (Closed): Implement the feature to support SID in MN and CN apis

PidFilter different behavior on MN.getLogRecord and CN.getLogRecord

2015-01-06 23:55 - Jing Tao

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

For the existing pid in the pidFilter, the MN and CN have the same behavior - return the log records for the pid.

For the non-existing pid in the pidFilter, the MN will ignore it and return all records; the CN will return 0 record.

Do we purposely do this?

Existing pids:

MN ------------------------------------------

curl --cert urn_node_cnSandboxUCSB1.pem -s "

https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/v1/log?count=1&pidFilter=VALXXX_015ADCP015R00_20041220.1.3" | xml

fo

<?xml version="1.0" encoding="UTF-8"?>

1

VALXXX_015ADCP015R00_20041220.1.3

128.111.242.50

N/A

public

read

2005-11-11T23:53:22.500+00:00

urn:node:mnSandboxUCSB1

/d1:log

CN-------------------------

https://cn-sandbox.test.dataone.org/cn/v1/log?pidFilter=0007f892-0d8f-4451-94e9-94d02ba5dd0d_0

For the non-existing pid:

MN-----------------------------

curl --cert urn_node_cnSandboxUCSB1.pem -s "

https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/v1/log?count=1&pidFilter=edc" | xml fo

<?xml version="1.0" encoding="UTF-8"?>

1

VALXXX_015ADCP015R00_20041220.1.3

128.111.242.50

N/A

public

read

2005-11-11T23:53:22.500+00:00

urn:node:mnSandboxUCSB1

/d1:log

CN-------------------------------------------------
https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/v1/log?count=1&pidFilter=VALXXX_015ADCP015R00_20041220.1.3
redmine.dataone.org/d1:log
https://cn-sandbox.test.dataone.org/cn/v1/log?pidFilter=0007f892-0d8f-4451-94e9-94d02ba5dd0d_0
https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/v1/log?count=1&pidFilter=edc
redmine.dataone.org/d1:log


https://cn-sandbox.test.dataone.org/cn/v1/log?pidFilter=edc

History

#1 - 2015-04-10 16:48 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

MN.getLogRecord and CN.getLogRecord use different mechanism now. CN.getLogRecord read data from the solr index.  So I modified the

MN.getLogRecord implementation on Metacat.

#2 - 2015-05-28 17:40 - Jing Tao

- Assignee set to Jing Tao

- Estimated time set to 0.00
